function X= gen_birthstate(model,X_old)
% this initial target state generation function uses a uniform distribution
% with zero velocity

no_of_birthtargets= size(X_old,2);
Posn_predict= model.C_posn*model.A*X_old;
Posn= repmat(model.posn_interval(:,1),[1 no_of_birthtargets])+ ...
    diag(model.posn_interval*[ -1; 1 ])*rand(size(model.C_posn,1),no_of_birthtargets);



e= sqrt(sum((Posn_predict - Posn).^2));
j_idx= find(e <= model.r_b);

while ~isempty(j_idx),  %accept/reject
    disp('hi');
    Posn(:,j_idx)= repmat(model.posn_interval(:,1),[1 length(j_idx)])+ ...
        diag(model.posn_interval*[ -1; 1 ])*rand(size(model.C_posn,1),length(j_idx));
    e(j_idx)= sqrt(sum((Posn_predict(:,j_idx) - Posn(:,j_idx)).^2));
    j_idx= find(e <= model.r_b);
end;

X= pinv(model.C_posn)*Posn;





%X= [ Posn(1,:); zeros(1,no_of_birthtargets); ...
%        Posn(2,:); zeros(1,no_of_birthtargets) ];
