load result1.mat

figure(1); clf; subplot(2,1,1);
plot(1:K,Pc_N); hold on;
ylabel('P','fontsize',15);
xlabel('time step','fontsize',15); 
set(gca, 'XLim',[1 K]);
figure(2); clf; subplot(2,1,1);
plot(1:K,d_wass2); hold on;
ylabel('Cond. Mean Distance Error (in m)','fontsize',15);
xlabel('time step','fontsize',15); 
set(gca, 'XLim',[1 K]);


%
head_test1
N_true= zeros(K,1);
for n=1:Nspkr
    for k=k_birth(n):k_death(n)
        N_true(k)= N_true(k)+1;
    end;
end;

for k=2:K
    if N_true(k)~=N_true(k-1),
        figure(1); plot( [k k],[0, 2], ':' );
        figure(2); plot( [k k],[0, 2.5], ':' );
    end;
end;
figure(1); set(gca, 'YLim',[0 1.3]);
figure(2); set(gca, 'YLim',[0 2]);

        