function edc( h, Ts )
% Energy Decay Curve (Normalized)

h_len= length(h);
edc= zeros(h_len,1);
edc(1)= sum(h.^2);
for p=2:h_len
   edc(p)= edc(p-1)- (h(p-1))^2;
end;
edc= edc/edc(1);

figure(1); clf;
plot( (0:1:(h_len-1))*Ts, 10*log10(edc) );